CREATE TABLE irc_reg_tnetwork_config (
    REGISTRATION_ID          NUMBER(18, 0),
    STATUS_CODE              VARCHAR2(120)    NOT NULL,
    TN_SUBSCRIBER_CODE       VARCHAR2(120)    NOT NULL,
    TN_SUBSCRIBER_NAME       VARCHAR2(240),
    OBJECT_STATUS            VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    REGISTRATION_ID          NUMBER(18, 0),
    STATUS_CODE              VARCHAR2(120)    NOT NULL,
    TN_SUBSCRIBER_CODE       VARCHAR2(120)    NOT NULL,
    TN_SUBSCRIBER_NAME       VARCHAR2(240),
    OBJECT_STATUS            VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_irc_reg_tnetwork_config PRIMARY KEY (REGISTRATION_ID, REGISTRATION_ID)
);
